Docs Rizler

Dispositions

Disposition Helpers

GEThttps://app.rizzdial.com/api/disposition/helpers
Disposition Helpers
curl --request GET \
  --url https://app.rizzdial.com/api/disposition/helpers \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "roles": [
      {
        "id": "MQ==",
        "title": "Sales Rep",
        "numeric_id": 1
      }
    ],
    "status_options": [
      "Active",
      "Inactive",
      "Default"
    ],
    "call_status_options": [
      "No",
      "Ringing",
      "Answered",
      "Busy",
      "Canceled",
      "No-answer",
      "In-Progress",
      "Failed",
      "AMD",
      "Completed"
    ],
    "default_option_options": [
      "Active",
      "Inactive",
      "Default"
    ]
  },
  "success": true
}

Disposition Helpers#

Returns the dropdown data for Manage → Disposition: company roles, GoHighLevel locations, call status values, status values, and the default colors.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

curl --location 'https://app.rizzdial.com/api/disposition/helpers' \
  --header 'Authorization: Bearer {{bearer_token}}'
data.rolesarray

Company roles. Each item has base64 id, numeric_id, and title. Use id in role_view

data.ghl_locationsarray

Connected GoHighLevel locations. Each item has id and name

data.call_status_optionsarray

No, Ringing, Answered, Busy, Canceled, No-answer, In-Progress, Failed, AMD, Completed

data.status_optionsarray

Active, Inactive, Default

data.default_option_optionsarray

Active, Inactive, Default

data.default_colorsobject

text_color, bg_color, select_text_color, and select_bg_color